Create a Contact Import that will be processed for changes and duplicates
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact/Batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referenceSource": "<string>",
"contacts": [
{
"referenceId": "<string>",
"contactType": "<string>",
"name": "<string>",
"title": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventId": "<integer>",
"eventName": "<string>",
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"tags": "<string>",
"originSegmentCode": "<string>",
"emailLists": [
"<string>",
"<string>"
],
"customFields": "<object>",
"volunteerAttendances": [
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
},
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
}
]
},
{
"referenceId": "<string>",
"contactType": "<string>",
"name": "<string>",
"title": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventId": "<integer>",
"eventName": "<string>",
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"tags": "<string>",
"originSegmentCode": "<string>",
"emailLists": [
"<string>",
"<string>"
],
"customFields": "<object>",
"volunteerAttendances": [
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
},
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
}
]
}
]
}
'Contact Imports
Create a Contact Import that will be processed for changes and duplicates
POST
/
api
/
Contact
/
Batch
Create a Contact Import that will be processed for changes and duplicates
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact/Batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referenceSource": "<string>",
"contacts": [
{
"referenceId": "<string>",
"contactType": "<string>",
"name": "<string>",
"title": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventId": "<integer>",
"eventName": "<string>",
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"tags": "<string>",
"originSegmentCode": "<string>",
"emailLists": [
"<string>",
"<string>"
],
"customFields": "<object>",
"volunteerAttendances": [
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
},
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
}
]
},
{
"referenceId": "<string>",
"contactType": "<string>",
"name": "<string>",
"title": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"emailType": "<string>",
"email": "<string>",
"phoneType": "<string>",
"phone": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"eventId": "<integer>",
"eventName": "<string>",
"invited": "<boolean>",
"rsvp": "<boolean>",
"rsvpResponse": "<boolean>",
"attended": "<boolean>",
"tags": "<string>",
"originSegmentCode": "<string>",
"emailLists": [
"<string>",
"<string>"
],
"customFields": "<object>",
"volunteerAttendances": [
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
},
{
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityName": "<string>",
"date": "<string>",
"hours": "<string>"
}
]
}
]
}
'Last modified on June 5, 2026
Was this page helpful?
⌘I